0
I found the following error in the module muscol_search_bars when upgrading the host (localhost) from PHP 5.6 to PHP 7.1:

Too few arguments to function MusColHelper::searchalbums_form_content(), 1 passed in /var/www/html/modules/mod_muscol_search_bars/tmpl/default.php on line 4 and at least 2 expected


Line 4 has the following content:
<?php echo MusColHelper::searchalbums_form_content(MusColHelper::getGenresData()); ?>


My environment:
Server Ubuntu 16.04 / LAMP
Music Collection 3.0.5
Joomla 3.7.5
PHP 7.1

Accepted Answer

Tuesday, August 22 2017, 03:03 PM - #Permalink
0
José It's a troubleshooting step thats all.

However .... PHP 7.1 isn't stable enough yet I don't think personally for mass deployment
The reply is currently minimized Show
Responses (6)
  • Accepted Answer

    Tuesday, August 22 2017, 02:00 AM - #Permalink
    0
    Hi José

    can you use a PHP 7.0.x version?

    I've heard a lot of horror stories about PHP 7.1.x if you still get the errors on 7.0.x let us know.
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, August 22 2017, 12:43 PM - #Permalink
    0
    The best solution would not the developer find a solution to this problem, as soon most of the servers will have version 7.1 of PHP?
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, August 22 2017, 03:07 PM - #Permalink
    0
    Thanks for the guidance. So the recommended version for servers would be PHP 7.0.
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, August 22 2017, 03:15 PM - #Permalink
    0
    Personally, yes

    I'm nothing to do with development on MC though.

    Did PHP 7.0.x work?
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, August 22 2017, 04:47 PM - #Permalink
    0
    Yes, the module in version 7.0 of PHP worked correctly, but this situation can serve as a warning so that the developers can test this module in version 7.1 of PHP.
    The reply is currently minimized Show
  • Accepted Answer

    Bud Bell
    Bud Bell
    Offline
    Thursday, September 07 2017, 03:28 AM - #Permalink
    0
    I have php7 on mine and works fine. Needs tweaking. http://dahitz.com/music-center
    The reply is currently minimized Show
Your Reply